Package Details: plausible-git r456.b29afde-2

Git Clone URL: https://aur.archlinux.org/plausible-git.git (read-only, click to copy)
Package Base: plausible-git
Description: Simple and privacy-friendly alternative to Google Analytics
Upstream URL: https://plausible.io
Licenses: MIT
Conflicts: plausible
Provides: plausible
Submitter: rhysperry111
Maintainer: rhysperry111
Last Packager: rhysperry111
Votes: 2
Popularity: 1.16
First Submitted: 2020-08-03 08:30
Last Updated: 2020-10-30 09:56

Latest Comments

amo commented on 2020-10-30 15:05

For me, after installation, /opt/plausible/erts-11.1/bin/erl was just like elixir not executable. Making both of them executable fixes the startup problems. What confused me though, was the path given in the error message: "/opt/plausible/releases/0.0.1/../../erts-11.1/bin/erl" WITH the dots, but there is no intermediate path that could fill the dots... whatever...

Thank you for your replies!

You might want to add postgres and clickhouse as dependencies and maybe a note on how to configure plausible to use them.

rhysperry111 commented on 2020-10-30 09:49

Oddly enough, I am not experiencing that issue on my side. All of the files in /opt/plausible/erts-11.1/bin/ are executable on my system.

There are a few other file permission errors that I will fix tho

amo commented on 2020-10-30 09:38

well, I did try this - actually I more radically did chmod -R 755 on the releases dir, which includes +x

The problem just shifted to the second error I mentioned before.

rhysperry111 commented on 2020-10-30 09:36

Ah, it's an easy fix. All you need to do is sudo chmod +x /opt/plausible/releases/0.0.1/elixir. I will update the PKGBUILD so this is no longer a problem

amo commented on 2020-10-30 08:40

Thank you for your PKGBUILD submission!

After installation and a failing call to systemctl start plausible, my journal shows the following error:

/usr/bin/plausible: line 57: /opt/plausible/releases/0.0.1/elixir: Permission denied

Apparently doing a chmod -R 755 /opt/plausible/releases/ does not resolve the problem:

/opt/plausible/releases/0.0.1/elixir: line 230: /opt/plausible/releases/0.0.1/../../erts-11.1/bin/erl: Permission denied

rhysperry111 commented on 2020-08-07 09:17

If you have any issues with the systemd service please don't be afraid to comment. It is likely a problem with how I have provided it as I am not too experienced with making systemd services